标签[npm]

npm是Node.js(使用Google V8 JavaScript引擎的非阻塞异步I / O框架)的官方程序包管理器。 它可用于安装和发布CommonJS模块,jQuery插件,可重用的javascript代码(库)和基于JavaScript的CLI程序。

-1
0回复
07

Docker`npminstall`与TypeScript中的GitHub私有repo依赖项

我们有一个 Node TypeScript 项目,我们正在尝试对其进行 Dockerize。 该项目依赖于另一个 GitHub 私有存储库,该存储库通过 package.json 中的“git@github.com:{private-repo-name}”语法引用。 依赖项目也是一个TS项目。 在任
0
0回复
03

私有npm注册表上的npm审计

我们有一个私有的 npm 注册表,我们使用的所有 npm 包都在其中托管。 由于“npm 审计”不像对 npm 注册表那样工作,因此在执行“npm 审计”之前,我们将以下突出显示的 url 从我们的私有注册表替换为 npm。 现在,当我执行 'ng build --prod' 时,它会捆绑更新的
-2
2回复
32

如何在不包含节点模块文件夹的情况下将我的React项目上传到GitHub

我想将我的 React 项目上传到 GitHub,但我想排除节点模块文件夹,我该怎么做?
0
0回复
12

我从npm收到ENOMPTY错误,我尝试了所有方法但没有工作它已经卡住了2个小时

每当我执行npm install <package>此错误: 我检查了 node_modules 是的,有缩写,但我不需要缩写(我需要的所有包也不需要缩写)。 我已经尝试使用rm -rf node_modules和npm install再次删除 node_modules 但不知何故它使我
0
0回复
10

Node&docker-compose:npm链接包

(我不是 docker 最擅长的,所以如果这是一个明显的问题,我深表歉意。) 我们正在尝试 dockerize 一个 node/sveltekit 开发环境。 鉴于以下目录: /core : 本地依赖的节点模块 /sveltekit :具有core作为要求的 sveltekit 应用程序
-1
1回复
22

在React.js项目中启动本地主机服务器时出现npmstart错误

在 npm start 上出现这个错误 'Equipment' 不是内部或外部命令,也不是可运行的程序或批处理文件。 内部/模块/cjs/loader.js:983 抛出错误; ^ 错误:在 Function.Module._resolveFilename (internal/modules/
0
0回复
16

在Lodash中获取命令注入

最近,我的安全扫描面临以下漏洞安全扫描结果 注意:此漏洞是由于对 CVE-2021-23337 的修复不充分。 检测:使用该组件的应用程序易受攻击。 建议:此组件/包没有非易受攻击的升级路径。 我们建议调查替代成分或潜在的缓解控制。 当我运行 npm audit 时,我看到这是漏洞。虽然,我的所有包
0
0回复
11

NextJS:错误:EPERM:不允许操作,rmdir

我有一个 Next.js 应用程序可以工作,然后当我离开它并回到它时我得到 我尝试使用 npm clean cache。 使用 Windows 10。当我创建一个新的 Next 应用程序并复制我的工作文件时,程序运行没有错误,直到我离开它一段时间然后再回来......
0
2回复
24

NPM安装错误

我正在尝试创建一个新项目并想在我的项目目录中安装 NPM,但它显示了这些错误。 我目前拥有最新版本的 NPM 和 Node.js。
0
0回复
19

如何在Windows10中安装ember-cli版本1.13.11

我正在尝试使用 node 版本 4.0.0 和 npm 版本 2.14.2 安装 ember-cli 版本 1.13.11 。 我将在管理员中运行所有评论。 首先我将安装 npm install -g ember-cli@1.13.11 并创建 ember 版本接下来我将运行 ember new d
2
0回复
28

(pluginbabel)错误:插件/预设文件不允许导出对象,只能导出函数

我正在尝试创建一个 npm 包,下面是我的 package.json 我正在使用rollup来构建我的包,下面是配置文件rollup.config.js 现在所有 babel 包都更新了,我尝试根据新版本更新这些东西。 但是当我运行npm run build时,我仍然面临以下错误。 不知道为什么会这
0
0回复
05

管理需要人工审查的npm包漏洞

运行npm audit时,我得到以下结果: 大多数漏洞似乎与下划线包有关。 这个包构成了我在我的项目中使用的另一个包的依赖项。 我已将其升级到更高版本,然后运行npm audit fix ,之后我现在获得以下结果: 报告中没有太多关于需要更改的信息。 我害怕运行npm audit fix --for
0
1回复
14

使用Puppeteer单击复选框时出错

我在点击 Footlocker Au 结帐页面上的复选框时遇到问题。 我尝试在线搜索它并尝试使用选择器和 xpath 但两者都不起作用。 https://i.stack.imgur.com/uyXFe.png 这是我使用过的,但我尝试过标准的await page.click(" "); 网站: h
0
1回复
24

获取npm包的下一个主要版本(不一定是最新的!)

我正在编写一个 bash 脚本来批量更新和测试包。 但是,我希望脚本不要跳转到最新版本,而是跳转到下一个主要版本(如果它存在并通过测试)。 我正在寻找类似的东西(为简洁起见,将更长的代码段简化为伪代码)
0
0回复
12

我的scss文件合并成一个大的

我有两个应用程序,一个工作正常,因为在 Chrome 中我可以检查一个元素并查看它从哪里获取它的 CSS 属性(来自哪个文件): image1 (这是我的第一个问题,我无权发布直接上图)。 但是在一个类似的应用程序中,它显示的所有内容都来自一个大的styles.scss,这是一个谎言,因为我有很多.
0
0回复
07

Angularjsinstallchart.js无法实例化模块npm

在我的 AngularJS 项目中,我尝试添加外部库 chart.js。 所以我开始使用命令在 node_modules 中添加新包: 在下载过程中,我看到此警告: `--chart.js@3.5.0 npm WARN 可选 SKIPPING OPTIONAL DEPENDENCY: fse
0
1回复
15

如何更改本地机器的npm版本?(苹果系统)

我以前在我的计算机上的usr/local/bin下安装了一个 npm(6.14.13),这应该是默认位置。 为了避免在不使用sudo 的情况下全局安装某些软件包的权限问题。 我按照 npm Docs 上的说明手动更改 npm 的默认目录https://docs.npmjs.com/resolving
0
0回复
14

我安装了reactjs但是在输入npmstart时他给出了错误

[这是我从 powershell 得到的错误] npm 错误! 代码 ENOENT npm 错误! 系统调用打开 npm 错误! 路径 C:\\Users\\pawan gupta\\Desktop\\MY projects\\Java script\\react\\package.json
0
0回复
07

管理NodeJS外部/内部npm依赖项的工具

我们有几个应用程序,我们已经为这些应用程序开发了帮助程序,我们将它们打包在单独的私有 npm 模块中。 为这些单独的 npm 模块做贡献很麻烦(预发布、测试、发布、发布、semver 管理)以及管理外部 Git 存储库的开销,所以我们想知道是否有更好、更简单的方法来做到这一点? (我们看到了 le
0
0回复
16

你如何使用Webpack和Babel进行编译?

我有一个看起来像这样的包 json: 我正在尝试使用webpack将src/qr.js 中的javascript 文件编译为dist/qr.js 。 尽管在使用npm run production编译时我收到了这个错误。 我在这里有几个问题: babel怎么了? 我是用webpack编译的,

1 2 3 4 5 6 7 8 9 10 下一页